## class Menu : public MWidget

> Class for menu manipulation.

## Inheritance:

### Public Classes

  enum | MenuType

### Public Methods

  | Menu (Widget parent, MenuType menuType, const char *name, char mnemonic, MenuItem *items)
  const char* | GetClassName ()
  Widget | GetNthMenuItem (int n)
  Widget | GetMenuItem (const char *label)
  static Widget | GetChild (Widget menu, MenuType type, const char *label)
  static Widget | GetNthChild (Widget menu, MenuType type, int n)
  static void | SetChildToggleState ( Widget menu, MenuType type, const char *label, bool state, bool notify=False)
  static void | SetNthChildToggleState ( Widget menu, MenuType type, int n, bool state, bool notify=False)
  static void | SetChildSensitive ( Widget menu, MenuType type, const char *label, bool state)
  static void | SetNthChildSensitive ( Widget menu, MenuType type, int n, bool state)

### Inherited from MWidget:

### Public Methods

virtual void Manage()
bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> Class for menu manipulation.

`enum MenuType`

`Menu(Widget parent, MenuType menuType, const char *name, char mnemonic, MenuItem *items)`

`const char* GetClassName()`

`Widget GetNthMenuItem(int n)`

`Widget GetMenuItem(const char *label)`

`static Widget GetChild(Widget menu, MenuType type, const char *label)`

`static Widget GetNthChild(Widget menu, MenuType type, int n)`

`static void SetChildToggleState( Widget menu, MenuType type, const char *label, bool state, bool notify=False)`

`static void SetNthChildToggleState( Widget menu, MenuType type, int n, bool state, bool notify=False)`

`static void SetChildSensitive( Widget menu, MenuType type, const char *label, bool state)`

`static void SetNthChildSensitive( Widget menu, MenuType type, int n, bool state)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de